#
# MicroSolutions Backpack spec file (for building the RPM)
#
Summary: USB Firmware works with  hotplug making BACKPACK drives work with linux
Name: bpck-usb-firmware
Version: 1.0
Release: 1
Copyright: Freely distributable
Group: Drivers
BuildRoot: %{_builddir}/%{name}-root
Source0: %{name}-%{version}.tar.gz
URL: http://www.micro-solutions.com/software_library/linux/
Vendor: Micro Solutions, Inc.
Packager: Ken Hahn <kenh@micro-solutions.com>
requires: hotplug >= 2002_04_01-1 ,fxload >= 2002_04_11-1
%description

This package contains firmware for the USB adapters available 
for the BACKPACK series of drives.

The BACKPACK series of external drives available
from Micro Solutions (http://www.micro-solutions.com/)
Check there for more details about this package.
%prep
%setup -q
%build
echo no build
%install 
install -d $RPM_BUILD_ROOT/etc/hotplug/usb
install -d $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw
install -m 0755 bpckusb $RPM_BUILD_ROOT/etc/hotplug/usb/
install -m 0644 firmware/BP1CD5.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP1HD5.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP1CD6.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP1HD6.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP2CD5.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP2HD5.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP2CD6.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP2HD6.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP1SCAN.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BP2SCAN.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BPINTCD.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
install -m 0644 firmware/BPINTHD.HEX $RPM_BUILD_ROOT/etc/hotplug/usb/bpckusb.fw/
%files
%doc README
/etc/hotplug/usb/bpckusb
/etc/hotplug/usb/bpckusb.fw/BP1CD5.HEX
/etc/hotplug/usb/bpckusb.fw/BP1HD5.HEX
/etc/hotplug/usb/bpckusb.fw/BP1CD6.HEX
/etc/hotplug/usb/bpckusb.fw/BP1HD6.HEX
/etc/hotplug/usb/bpckusb.fw/BP2CD5.HEX
/etc/hotplug/usb/bpckusb.fw/BP2HD5.HEX
/etc/hotplug/usb/bpckusb.fw/BP2CD6.HEX
/etc/hotplug/usb/bpckusb.fw/BP2HD6.HEX
/etc/hotplug/usb/bpckusb.fw/BP1SCAN.HEX
/etc/hotplug/usb/bpckusb.fw/BP2SCAN.HEX
/etc/hotplug/usb/bpckusb.fw/BPINTCD.HEX
/etc/hotplug/usb/bpckusb.fw/BPINTHD.HEX
%post
#if they haven't installed this before
if [ "$1" = 1 ];
then
	
	if grep "^bpckusb" /etc/hotplug/usb.usermap >/dev/null
	then
        	echo "Previous settings for bpckusb exist... please configure /etc/hotplug/usb.usermap by hand"
	else
		cat >>/etc/hotplug/usb.usermap << END_USBMAP
bpckusb 0x0003 0x0ac9 0x0000 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x0001 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1000 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1001 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1002 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1003 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1004 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1005 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1006 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x1007 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x0010 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
bpckusb 0x0003 0x0ac9 0x0011 0x0000 0x0000 0x00 0x00 0x00 0x00 0x00 0x00 0x00000000
END_USBMAP
	fi
fi
%postun
if [ "$1" = 0 ]
then	
	if grep "^bpckusb" /etc/hotplug/usb.usermap >/dev/null
	then
                grep -v "^bpckusb" /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.tmp                               
                mv -f /etc/hotplug/usb.usermap.tmp /etc/hotplug/usb.usermap
	fi
fi
